/**
 *
 * @author BOGON
 * @version 1.0
 */

var page = {
    save: function (call) {
        let validate = $("#sequenceForm").form('validate');
        if (!validate) {
            return false;
        }
        var data = $('#sequenceForm').serializeJson();
        $.ajax({
            url: g.ctx + 'pc/sys/dict/item/saveOrUpdate',
            method: "POST",
            data: data,
            success: function (data) {
                topWin.layer.alert("保存成功", {icon: 1}, function (idx) {
                    topWin.layer.close(idx);
                    call();
                });
            },
            error: function (data) {
                topWin.layer.alert(data.responseJSON.message, {icon: 2});
            }
        });
    }
}
$(function () {
})